export declare class NJDocData {
    docDataHdrId: number;
    docDefTemplateID: number;
    docDefDataRowID: number;
    docDefDataRowParID: number;
    dataValue: string;
}
export declare class NJDocDefTemplate {
    dictCustomParameters: any;
    lookupTypeId: number;
    tOrder: number;
    customParameters: string;
    validationType: string;
    tableColumnName: string;
    tableName: string;
    indent: number;
    tLabelFontWeight: string;
    tLabel: string;
    tType: string;
    docDefSecId: number;
    docDefTemplateParID: number;
    docDefTypeSubId: number;
    docDefTemplateID: number;
    tLabelPosition: number;
    templateCode: string;
    isValid: boolean;
}
export declare class NJReadDocDefTemplateLookup {
    lookupId: number;
    lookupType: string;
    longDesc: string;
    shortDesc: string;
    active: string;
    sortOrder: number;
    longDesc2: string;
    lookupTypeId: number;
    lookupTypeId_Sub: number;
    lookupId_Par: number;
    shortDescDisplay: string;
    isValid: boolean;
}
export declare class DOData {
    customParameters: any;
    njDocData: NJDocData;
    njDocDefTemplate: NJDocDefTemplate;
    lstDocData: Array<NJDocData>;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    lstDocDefTemplateLookup: Array<NJReadDocDefTemplateLookup>;
    isValid: boolean;
    isEnabled: boolean;
    njDocDataSave: Array<NJDocDataSaveProcOutput>;
    PreviousDropdownValue: string;
    PreviousCommentValue: string;
    PreviousLabelValue: string;
}
export declare class AutoCompleteTextBoxEntry {
    display: string;
    returnArg: string;
}
export declare class DocdefDataVM {
    loaderKey: string;
    action: string;
    docdata: Array<NJDocData>;
    UserName: string;
}
export declare class InputParamsVM {
    loaderKey: string;
    docdata: DOData;
}
export declare class componentVM {
    thisComponent: any;
    tag: string;
}
export declare class TabVM {
    loaderKey: string;
    docdata: Array<Array<DOData>>;
}
export declare class modalParams {
    tabTemplateCode: string;
    loaderKey: string;
    strDocDefTypeSubCode: string;
    gridTemplateCode: string;
    lstModalParams: Array<ModalParamsElem>;
}
export declare class ModalParamsElem {
    value: string;
    param: string;
}
export declare class childSearchReq {
    tab: string;
    gridTemplateCode: string;
    title: string;
    content: string;
    returnData: boolean;
    memberID: string;
    firstName: string;
    lastName: string;
    DOB: string;
    SSN: string;
    Age: string;
    ParentName: string;
    Gender: string;
}
export declare class planApprovalParams {
    tab: string;
    gridTemplateCode: string;
    title: string;
    content: string;
}
export declare class clsAuthorizations {
    authorizationId: number;
    recordFlag: string;
    txtProvider: string;
    txtServiceCode: string;
    txtFrequency: string;
    dtpStartDate: string;
    dtpEndDate: string;
    reqUnits: string;
    apprUnits: string;
    deniedUnits: string;
    decision: string;
    memberId: number;
    authID: string;
    submitted_Date: string;
    authStatus: string;
    perUnitCost: string;
    createDate: string;
    createUser: string;
    CSAAuthStatus: string;
    CSADeniedReason: string;
    CSADeniedReasonStatus: string;
    CSAServiceID: string;
    treatmentID: number;
    authReturnCode: string;
    reason: string;
    reasonOther: string;
}
export declare class clsAuthorization {
    authorizationId: number;
    recordFlag: string;
    txtProvider: string;
    txtServiceCode: string;
    txtFrequency: string;
    dtpStartDate: string;
    dtpEndDate: string;
    reqUnits: string;
    apprUnits: string;
    deniedUnits: string;
    decision: string;
    memberId: number;
    authID: string;
    submitted_Date: string;
    authStatus: string;
    perUnitCost: number;
    createDate: string;
    createUser: string;
    CSAAuthStatus: string;
    CSADeniedReason: string;
    CSADeniedReasonStatus: string;
    CSAServiceID: string;
    treatmentID: number;
    authReturnCode: string;
    reason: string;
    reasonOther: string;
}
export declare class GoogleMapType {
    tab: string;
    gridTemplateCode: string;
    providerType: string;
    program: string;
    providerSpecialty: string;
    siteCIMIDS: string;
    siteCIMIDRequired: boolean;
    reOpenPopup: boolean;
    title: string;
    content: string;
    MemberID: string;
}
export declare class clsMemberMessage {
    MessageID: any;
    CreatedDate: string;
    RecordFlag: string;
    FromUserID: string;
    ToUSerID: string;
    MsgSubject: string;
    MsgBody: string;
    Priority: string;
    EMailType: string;
    IsRead: string;
    Action: string;
    SourceType: string;
}
export declare class NJDocDataSaveProcOutput {
    parmKey: string;
    columnName: string;
    valueBefore: string;
    valueAfter: string;
}
