import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { NJDocData, NJDocDefTemplate, DOData, componentVM } from '../DOData';
import { wrappersService } from '../wrappers/wrappers.service';
import { SectionTableComponent } from '../section-table/section-table.component';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
export declare class MapGoogleMapComponent implements OnInit {
    private data;
    activeModal: NgbActiveModal;
    private wrapLib;
    private changeDetectorRef;
    private maxRow;
    DocDefTemplate: NJDocDefTemplate;
    lstDocData: Array<NJDocData>;
    lstChildDocDefTemplate: Array<NJDocDefTemplate>;
    customParameters: any;
    allowDoubleClick: boolean;
    isValid: boolean;
    isHideTitles: boolean;
    isEnabled: boolean;
    isPopUpYesNo: string;
    isPopUpSelected: boolean;
    modal_title: string;
    modal_content: string;
    tab: string;
    gridTemplateCode: string;
    providerSpecialty: string;
    program: string;
    providerType: string;
    siteCIMIDS: string;
    siteCIMIDRequired: boolean;
    reOpenPopup: boolean;
    _MemberID: string;
    SelectedCBGroup: DOData;
    ProviderTypeSelection: string;
    MemberID: string;
    loaderKey: string;
    private strDocDefTypeSubCode;
    private primitivesGrid;
    private CIMIDSTemplateCode;
    private diaglogType_MyCaseload;
    private diaglogType_AgencyCases;
    editItem: EventEmitter<Array<DOData>>;
    clickBut: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    clickLink: EventEmitter<DOData>;
    requestRows: EventEmitter<boolean>;
    map: google.maps.Map;
    listDocdata: Array<Array<DOData>>;
    datasource: any;
    mapElement: any;
    height: Number;
    width: Number;
    private markers;
    constructor(data: DocDefPrimLibService, activeModal: NgbActiveModal, wrapLib: wrappersService, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    loadData(): void;
    cbProvBH: DOData;
    cbProvIDD: DOData;
    cbProvSU: DOData;
    GetDODataItems(ListDocdata: DOData[][]): void;
    GetDODataItem(templateCode: string, ListDocdata: DOData[][]): DOData;
    addMapsScript(): void;
    initMap(): void;
    /** Loads the county boundary polygons from a GeoJSON source. */
    loadCountyLayer(): void;
    removeCountyLayer(): void;
    styleFeature(feature: google.maps.Data.Feature): {
        strokeWeight: number;
        strokeColor: string;
        zIndex: number;
        fillColor: string;
        fillOpacity: number;
        visible: boolean;
    };
    mouseInToRegion(e: any): void;
    mouseOutOfRegion(e: any): void;
    SiteTypeFromDropDownSelection: string;
    loadProviders(showProviders: Number, cbDocData?: DOData): void;
    private GetDistance;
    loadProvider(location: google.maps.LatLng, map: google.maps.Map, title: string, detail: string, flagColor?: string, siteType?: string, refreshList?: boolean): void;
    private childMarker;
    loadChild(locationLatLong: google.maps.LatLng, map: google.maps.Map, title: string): void;
    private zipMarker;
    loadZipmarker(locationLatLong: google.maps.LatLng, map: google.maps.Map, title: string): void;
    getContentDetail(heading: string, detail: string): string;
    dismiss(DismissReason?: string): void;
    private primitives;
    initializedDefault: boolean;
    sectionGrid_tableAfterViewInit(c: SectionTableComponent): void;
    istableAfterViewChecked: boolean;
    sectionGrid_tableAfterViewChecked(c: SectionTableComponent): void;
    private checkDataInGrid;
    private wait;
    private setDefaultCheckBoxes;
    private showProviderTypeInfo;
    private delay;
    private SELECT_ALL_PROVIDERS;
    private SELECT_PROVIDERS_BY_CHECKBOXES;
    btnSelectAll(cbTemplateCode: string): void;
    btnSelectNone(cbTemplateCode: string): void;
    onClickButton(d: DOData): void;
    SelectAllCheckboxes(SelectCheckboxes: boolean): void;
    loadzip(zipCode: string, city: string, state: string): void;
    private currenZip;
    private zipData;
    private openZip;
    private updatePrimitives;
    setLoaderMemberId(gridTemplateCode: string, MemberId: string, loaderKey: string): void;
    loadMember(gridTemplateCode: string): void;
    getAddressInformation(aryNJDocData: Array<NJDocData>): void;
    onShowCountyArea(showCoutyArea: boolean): void;
    childChecked: boolean;
    onclickChkbox(d: DOData): void;
    clearDeselectedProviderMarker(provCode: string): void;
    LstProviderMarkers: ProviderMarkers[];
    addMarker(marker: google.maps.Marker): void;
    setMapOnAll(map: google.maps.Map | null): void;
    clearMarkers(): void;
    showMarkers(): void;
    deleteMarkers(): void;
    searchForYouth(d: DOData, userType: string, diaglogType: string): void;
    handleKeyDown(event: KeyboardEvent): void;
    ChildLocation: google.maps.LatLng;
    DeepCopyDOData(lstDOData: DOData[][]): any;
    DeepCopy(whatever: any): any;
}
export declare class ProviderMarkers {
    ProvType: string;
    Marker: google.maps.Marker;
    Location: google.maps.LatLng;
    Map: google.maps.Map;
    Title: string;
    Detail: string;
    HexValue: string;
}
