import { DOData } from "../DOData";
/**
* Diag data with nested structure.
* Each node has Row ID, Grid Level Template Code, Doc Def Tree Data and an optional list of children.
*/
export interface TreeNode {
    docDefTemplateRowId: number;
    docDefGridTemplateCode: string;
    level: string;
    detailID: number;
    parentTierID: number;
    configTierID: number;
    matrixTierID: number;
    matrixOrder: number;
    hdrId: number;
    desc: string;
    docDefTreeData: Array<Array<DOData>>;
    children?: TreeNode[];
}
