import { OnInit, QueryList, EventEmitter } from '@angular/core';
import { DOData, NJDocData, NJDocDefTemplate, componentVM } from '../DOData';
import { DocDefPrimLibService } from '../../doc-def-prim-lib.service';
import { DOTextBoxComponent } from '../dotext-box/dotext-box.component';
import { DodropDownComponent } from '../dodrop-down/dodrop-down.component';
import { DotextBoxAutocompleteComponent } from '../dotext-box-autocomplete/dotext-box-autocomplete.component';
import { DropdownAutoCompleteComponent } from '../dodropdown-autocomplete/dropdown-autocomplete.component';
import { GridNCheckboxComponent } from '../grid-ncheckbox/grid-ncheckbox.component';
import { GridNRadioButtonComponent } from '../grid-nradiobutton/grid-nradiobutton.component';
import { GridInternalComponent } from '../grid-internal/grid-internal.component';
import { DobuttonComponent } from '../dobutton/dobutton.component';
import { GridInternalAgGridComponent } from '../grid-internal-ag-grid/grid-internal-ag-grid.component';
import { DOLabelComponent } from '../dolabel/dolabel.component';
import { DotextBoxSglComponent } from '../dotext-box-sgl/dotext-box-sgl.component';
import { DoDateNgComponent } from '../do-date-ng/do-date-ng.component';
import { DropdownCommentsComponent } from '../dropdown-comments/dropdown-comments.component';
import { GridInternalAgGridClComponent } from '../grid-internal-ag-grid/grid-internal-ag-grid-cl.component';
import { PreviousAnswerButtonComponent } from '../previous-answer-button/previous-answer-button.component';
export declare class SectionTableComponent implements OnInit {
    private data;
    rowStyle: any;
    constructor(data: DocDefPrimLibService);
    private maxCol;
    private maxRow;
    rowNumbers: Array<String>;
    private _tableVM;
    sectionClass: string;
    sectionStyle: string;
    cutoffDate: string;
    ignorLabel: boolean;
    loaderKey: string;
    parentLoaderKey: string;
    tableVM: Array<DOData>;
    skipTBPostDocDefData: boolean;
    skipDDLPostDocDefData: boolean;
    skipDatePostDocDefData: boolean;
    skipTBSglPostDocDefData: boolean;
    skipGridCBPostDocDefData: boolean;
    skipGridRadioPostDocDefData: boolean;
    skipAutoDDLPostDocDefData: boolean;
    skipAutoDDCPostDocDefData: boolean;
    skipNRBPostDocDefData: boolean;
    skipAGGridCBPostDocDefData: boolean;
    ToTdClassWid: object;
    ToTdClassWidSM: object;
    ToTdClassWidXS: object;
    ToTdClass: object;
    rowClass: string;
    private cellClass;
    cellStyle: string;
    curRow: Array<Array<DOData>>;
    editItem: EventEmitter<Array<DOData>>;
    clickBut: EventEmitter<DOData>;
    clickPrevBut: EventEmitter<DOData>;
    clickEventStart: EventEmitter<DOData>;
    gridReady: EventEmitter<DOData>;
    clickChkbox: EventEmitter<DOData>;
    clickRadio: EventEmitter<DOData>;
    gridDoubleClick: EventEmitter<DOData>;
    cellClicked: EventEmitter<DOData>;
    tabEvent: EventEmitter<componentVM>;
    requestRows: EventEmitter<boolean>;
    section_tableAfterViewInit: EventEmitter<SectionTableComponent>;
    retDocUploadRes: EventEmitter<Array<NJDocData>>;
    section_tableAfterViewChecked: EventEmitter<SectionTableComponent>;
    rowDataSelected: EventEmitter<any>;
    DOLabelComponents: QueryList<DOLabelComponent>;
    TextBoxComponents: QueryList<DOTextBoxComponent>;
    TextBoxSglComponents: QueryList<DotextBoxSglComponent>;
    DateNgComponents: QueryList<DoDateNgComponent>;
    DropDownsComponents: QueryList<DodropDownComponent>;
    GridNCheckboxComponents: QueryList<GridNCheckboxComponent>;
    DotextBoxAutocompleteComponents: QueryList<DotextBoxAutocompleteComponent>;
    DropdownAutoCompleteComponents: QueryList<DropdownAutoCompleteComponent>;
    GridNRadioButtonComponents: QueryList<GridNRadioButtonComponent>;
    GridInternalComponents: QueryList<GridInternalComponent>;
    DobuttonComponents: QueryList<DobuttonComponent>;
    PreviousAnswerButtonComponents: QueryList<PreviousAnswerButtonComponent>;
    GridInternalAgGridComponents: QueryList<GridInternalAgGridComponent>;
    DropdownCommentsComponents: QueryList<DropdownCommentsComponent>;
    GridInternalAgGridClComponent: QueryList<GridInternalAgGridClComponent>;
    getScrRowParam(customParameters: any): string;
    ngOnInit(): void;
    ngOnChanges(): void;
    hasToStyle(): boolean;
    getWidth(item: DOData): string;
    getFormClass(item: DOData): string;
    getCols2End(col: number, span: number, colWidClass: object): string;
    getTableVM_byCol(col: string): Array<DOData>;
    getFlexClass(item: DOData, i: number): string;
    performFilter(col: string): Array<DOData>;
    getTableVM_byRow(row: string): Array<DOData>;
    getlstInCell(arrIndex: number): Array<DOData>;
    performFilterRow(row: string): Array<DOData>;
    getTableVM_cols(): string[];
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    getPrimitives(): Array<DOData>;
    enableButton(templaceCode: string, state: boolean): void;
    resetDropdown(templateId: number): void;
    clearTextbox(templateId: number): void;
    setTextInTextbox(templateId: number, value: string): void;
    clearDropdowns(): void;
    clearTextboxes(): void;
    clearSglTextboxes(): void;
    clearGridNCheckboxes(): void;
    onGridClickBut(message: DOData, but: NJDocDefTemplate): void;
    onclickBut(message: DOData): void;
    onclickPrevBut(message: DOData): void;
    onclickEventStart(message: DOData): void;
    onGridReady(message: DOData): void;
    onclickChkbox(message: DOData): void;
    onDoubleClickGrid(message: DOData): void;
    onCellClicked(message: DOData): void;
    onTabEvent(message: componentVM): void;
    selectedRowData(data: any): void;
    editCurItem(message: Array<DOData>): void;
    onclickRadio(message: DOData): void;
    onRequestRows(message: boolean): void;
    stDocUploadResult(res: Array<NJDocData>): void;
}
