import { EventEmitter } from '@angular/core';
import { Observable } from "rxjs";
import { HttpClient } from '@angular/common/http';
import { TabVM, DocdefDataVM, NJDocData, modalParams, AutoCompleteTextBoxEntry, DOData, childSearchReq } from "./DocDefPrimLib/DOData";
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ActivatedRouteSnapshot, RouterStateSnapshot, Router, CanActivate } from '@angular/router';
import { GridInternalAgGridComponent, NJReadDocDefTemplateLookup } from 'projects/doc-def-prim-lib/src/public-api';
export declare class DocDefPrimLibService implements CanActivate {
    private http;
    private modalService;
    private router;
    apiBaseName: string;
    ApiDocDefPrimController: string;
    ProjBaseName: string;
    UserName: string;
    postResp: any;
    token: string;
    LoaderKey: string;
    gridDataVM: DocdefDataVM;
    gridData: Array<NJDocData>;
    ReportdDataVM: string;
    TabVM: TabVM;
    saveRet: string;
    securityCodeMatches: boolean;
    lstAutoCompleteTextBoxEntry: Array<AutoCompleteTextBoxEntry>;
    lstDynamicLookup: Array<NJReadDocDefTemplateLookup>;
    invokeCommunicationServiceMethod: EventEmitter<{}>;
    ApiBaseUri: any;
    CommunicationServiceMethod(params?: any): void;
    ClearCacheReturn: number;
    userIsReadOnly_String: string;
    readonly userIsReadOnly: boolean;
    disableTemplates(listDocdata: Array<Array<DOData>>, lstExceptions?: Array<string>): Array<Array<DOData>>;
    constructor(http: HttpClient, modalService: NgbModal, router: Router);
    private extractData;
    private handleError;
    GetSaveLoader(loaderKey: string): any;
    GetSaveLoaderVM(data: string): boolean;
    checkIfCodeInUserSecurity(secCode: string, loaderKey: string, permissions?: any): any;
    loadTab(params: modalParams): Observable<boolean>;
    getWelcomeVM(data: TabVM): boolean;
    saveDocDefData(DocData: DocdefDataVM): Observable<boolean>;
    private doSaveDocDefData;
    loadGenerateSSRSReportStream(params: modalParams): Observable<boolean>;
    getGenerateSSRSReportStream(data: string): boolean;
    getAutoCompleteData(DocData: DocdefDataVM): Observable<boolean>;
    GeneratAutoCompleteData(data: Array<AutoCompleteTextBoxEntry>): boolean;
    getDynamicLookupData(DocData: DocdefDataVM): Observable<boolean>;
    GenerateDynamicLookupData(data: Array<NJReadDocDefTemplateLookup>): boolean;
    doSetLoaderMemberId(DocData: DocdefDataVM): any;
    loadGridData(templateCode: string, params: any, loaderKey: string, cutoffDate?: string, parentKey?: string): Observable<boolean>;
    getloadGridVM(data: DocdefDataVM): boolean;
    loadGetGridDataSP(APIPageController: string, GridTemplateCode: string, sortModel: any): Observable<boolean>;
    getGridDataSP(data: Array<NJDocData>): boolean;
    clearCache(loaderKey: string): any;
    getCCData(data: number): boolean;
    getGridTemplateValue(gridComponent: GridInternalAgGridComponent, templateCode: string): any;
    escapeRegExp(string: any): any;
    replaceAll(str: any, term: any, replacement: any): any;
    ValidateInput(DocData: DocdefDataVM, TemplateCode: string): any;
    static createNew(objectToCopy: any): any;
    path: ActivatedRouteSnapshot[];
    route: ActivatedRouteSnapshot;
    private lstComponents;
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): any;
    AllowRoute(CompName: string): void;
    RestrictRoute(CompName: string): void;
    RemoveAllRoutePermissions(): void;
    private UploadData;
    PrepareUpload(_file: File, newFileName: string, templateCode: string): Observable<any>;
    DeleteAttachment(somedata: string): any;
    CheckQuickSerachResult(params: childSearchReq): Observable<string>;
    DeleteAllAttachments(): any;
}
export declare class UploadVM {
    UploadData: File[];
    TemplateCode: string;
}
